<template>
  <div id="app">
    <nav class="navbar navbar-expand navbar-dark bg-dark" v-if="loggedUser">
      <router-link to="/" class="navbar-brand">Inventory management</router-link>
      <div class="navbar-nav mr-auto">
        <li class="nav-item">
          <router-link to="/products" class="nav-link">Products</router-link>
        </li>
        <li class="nav-item">
          <router-link to="/add" class="nav-link">Add</router-link>
        </li>
        <li class="nav-item">
          <router-link to="/records" class="nav-link">Records</router-link>
        </li>
        <li class="nav-item">
          <span  class="nav-link" @click="logout">Quit</span>
        </li>
      </div>
    </nav>
    <nav class="navbar navbar-expand navbar-dark bg-dark" v-else>
      <router-link to="/" class="navbar-brand">Inventory management</router-link>
      <div class="navbar-nav mr-auto">
        <li class="nav-item">
          <router-link to="/login" class="nav-link">Login</router-link>
        </li>
        
      </div>
    </nav>

    <div class="container mt-3">
      <h2 v-if="loggedUser">Welcome {{ loggedUser.user.email }} !</h2>
      <h2 v-else></h2>
      <router-view />
    </div>
  </div>
</template>

<script>
export default {
  name: "app",
  data() {
    return {
      loggedUser: null
    };
  },
  methods: {
    logout(){
      localStorage.clear();
      localStorage.setItem("reload", true);
      this.$router.replace({ name: "login"});
    }
  },
  mounted(){
      const user = localStorage.getItem("loggedUser")
      if(user){
        this.loggedUser = JSON.parse(user);
      }
    }
};
</script>

<style scoped>
.container h2 {
  text-align: center;
  margin: 25px auto;
}
</style>